@base <https://purl.org/coscine/ap/qudt/quantitykind/PropellantMeanBulkTemperature/> .

@prefix dcterms: <http://purl.org/dc/terms/>.
@prefix rdfs: <http://www.w3.org/2000/01/rdf-schema#> .
@prefix sh: <http://www.w3.org/ns/shacl#> .
@prefix xsd: <http://www.w3.org/2001/XMLSchema#> .
@prefix qudt: <http://qudt.org/schema/qudt/> .
@prefix unit: <http://qudt.org/vocab/unit/> .
@prefix coscinetype: <https://purl.org/coscine/terms/types#> .

<https://purl.org/coscine/ap/qudt/quantitykind/PropellantMeanBulkTemperature/>
  a sh:NodeShape, rdfs:Class, coscinetype:Module ;
  dcterms:created "2023-10-12"^^xsd:date;
  dcterms:modified "2023-10-19"^^xsd:date;
  dcterms:creator "Benedikt Heinrichs";
  dcterms:description "Profil für alle Einheiten, die eine Propellant Mean Bulk Temperature sind."@de,
    "Profile for all units that are a/an Propellant Mean Bulk Temperature."@en;
  dcterms:license "https://spdx.org/licenses/CC-BY-4.0.html";
  dcterms:title "Einheit: Propellant Mean Bulk Temperature"@de,
    "Unit: Propellant Mean Bulk Temperature"@en;

  sh:property
    [
      sh:path qudt:unit ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:name "Unit"@en , "Einheit"@de ;
      sh:in ( unit:DEG_C unit:DEG_F unit:DEG_R unit:K unit:MilliDEG_C unit:PlanckTemperature ) ;
    ] ;
  sh:property
    [
      sh:path qudt:value ;
      sh:minCount 1 ;
      sh:maxCount 1 ;
      sh:datatype xsd:decimal ;
      sh:name "Value"@en , "Wert"@de ;
      sh:description "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
      sh:message "Entry must be an integer or a decimal with a point separator (e.g., 2.5)."@en, "Die Eingabe muss eine ganze Zahl oder eine Dezimalzahl mit einem Punkttrennzeichen sein (z. B. 2.5)."@de ;
    ] ;
.

unit:DEG_C rdfs:label "Celsius-Fok"@hu, "Grad Celsius"@de, "Celsius"@tr, "Darjah Celsius"@ms, "Degree Celsius"@en, "Degré Celsius"@fr, "Grad Celsius"@ro, "Grado Celsius"@es, "Grado Celsius"@it, "Gradus Celsii"@la, "Grau Celsius"@pt, "Stopień Celsjusza"@pl, "Stopinja Celzija"@sl, "Stupně Celsia"@cs, "Βαθμός Κελσίου"@el, "Градус Целзий"@bg, "Градус Цельсия"@ru, "צלזיוס"@he, "درجة مئوية"@ar, "درجه سانتی گراد/سلسیوس"@fa, "सेल्सियस"@hi, "セルシウス度"@ja, "摄氏度"@zh .
unit:DEG_F rdfs:label "Degree Fahrenheit"@en .
unit:DEG_R rdfs:label "Degree Rankine"@en .
unit:K rdfs:label "Kelvin"@de, "Kelvin"@cs, "Kelvin"@en, "Kelvin"@es, "Kelvin"@fr, "Kelvin"@hu, "Kelvin"@it, "Kelvin"@la, "Kelvin"@ms, "Kelvin"@pt, "Kelvin"@ro, "Kelvin"@sl, "Kelvin"@tr, "Kelwin"@pl, "Κέλβιν"@el, "Келвин"@bg, "Кельвин"@ru, "קלווין"@he, "كلفن"@ar, "کلوین"@fa, "कैल्विन"@hi, "ケルビン"@ja, "开尔文"@zh .
unit:MilliDEG_C rdfs:label "Millidegree Celsius"@en .
unit:PlanckTemperature rdfs:label "Plancktemperature"@en .
